package com.zehong.system.domain.track;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 生产执行中间对象 t_product_inspect_detail
 * 
 * @author zehong
 * @date 2024-08-26
 */
public class TProductInspectDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 执行编号 */
    private Long inspectId;

    @Excel(name="批次号")
    private String batchNo;

    /** 关联类型，1是图纸，2是配件，3是装配模板 */
    @Excel(name = "关联类型",readConverterExp="1=图纸,2=配件,3=装配模版")
    private Integer type;

    /** 关联类型对应的编号 */
    private Long typeId;

    @Excel(name = "名称")
    private String typeName;

    /** 配件数量 */
    @Excel(name = "配件数量")
    private Long number;

    /** $column.columnComment */
    private Long createId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setInspectId(Long inspectId) 
    {
        this.inspectId = inspectId;
    }

    public Long getInspectId() 
    {
        return inspectId;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }
    public void setTypeId(Long typeId) 
    {
        this.typeId = typeId;
    }

    public Long getTypeId() 
    {
        return typeId;
    }
    public void setNumber(Long number) 
    {
        this.number = number;
    }

    public Long getNumber() 
    {
        return number;
    }
    public void setCreateId(Long createId) 
    {
        this.createId = createId;
    }

    public Long getCreateId() 
    {
        return createId;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("inspectId", getInspectId())
            .append("type", getType())
            .append("typeId", getTypeId())
            .append("number", getNumber())
            .append("createTime", getCreateTime())
            .append("createId", getCreateId())
            .toString();
    }
}
